Subject: Re: [PATCH net-next] net: page_pool: make page_pool_create inline

From: Lorenzo Bianconi <[email-masked]>
Date: Wed, 14 Feb 2024 20:14:41 +0100

> On Wed, 14 Feb 2024 19:01:28 +0100 Lorenzo Bianconi wrote:
> > Make page_pool_create utility routine inline a remove exported symbol.
> 
> But why? If you add the kdoc back the LoC saved will be 1.

I would remove the symbol exported since it is just a wrapper for
page_pool_create_percpu()

> 
> >  include/net/page_pool/types.h |  6 +++++-
> >  net/core/page_pool.c          | 10 ----------
> >  2 files changed, 5 insertions(+), 11 deletions(-)
> 
> No strong opinion, but if you want to do it please put the helper 
> in helpers.h  Let's keep the static inlines clearly separated.

ack, fine to me. I put it there since we already have some inlines in
page_pool/types.h.

Regards,
Lorenzo